<?php

namespace Lavalite\Product\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class ManufacturerTransformer extends TransformerAbstract
{
    public function transform(\Lavalite\Product\Models\Manufacturer $manufacturer)
    {
        return [
            'id'                => $manufacturer->getRouteKey(),
            'key'               => [
                'public'    => $manufacturer->getPublicKey(),
                'route'     => $manufacturer->getRouteKey(),
            ], 
            'id'                => $manufacturer->id,
            'name'              => $manufacturer->name,
            'slug'              => $manufacturer->slug,
            'description'       => $manufacturer->description,
            'image'             => $manufacturer->image,
            'status'            => $manufacturer->status,
            'created_at'        => $manufacturer->created_at,
            'updated_at'        => $manufacturer->updated_at,
            'deleted_at'        => $manufacturer->deleted_at,
            'url'               => [
                'public'    => trans_url('product/'.$manufacturer->getPublicKey()),
                'user'      => guard_url('product/manufacturer/'.$manufacturer->getRouteKey()),
            ], 
            'status'            => trans('app.'.$manufacturer->status),
            'created_at'        => format_date($manufacturer->created_at),
            'updated_at'        => format_date($manufacturer->updated_at),
        ];
    }
}